Skip to content

Query Task (Single)

GET https://www.kkiai.com/kling/v1/videos/text2video/{id}

Request Parameters

Authorization

Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.

Example: Authorization: Bearer ********************

Path Parameters

Parameter NameTypeRequiredDescription
idstringRequired

Header Parameters

Parameter NameTypeRequiredDescriptionExample
Content-TypestringOptionalapplication/json
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Request Example

json
// {
//     "task_id": "kling-v1825380683199176793",      // Text-to-video task ID. Request path parameter, fill the value directly in the request path. Choose one of the two query methods with external_task_id
//     "external_task_id": "",    // Custom task ID for text-to-video. The external_task_id filled in when creating the task. Choose one of the two query methods with task_id
// }

cURL Example

bash
curl --location --request GET 'https://www.kkiai.com/kling/v1/videos/text2video/827996385395363846' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '// {
//     "task_id": "kling-v1825380683199176793",      // Text-to-video task ID. Request path parameter, fill the value directly in the request path. Choose one of the two query methods with external_task_id
//     "external_task_id": "",    // Custom task ID for text-to-video. The external_task_id filled in when creating the task. Choose one of the two query methods with task_id
// }'

Response

🟢 200 Success

Response Example

json
{}